const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bengkayang',
    'Kabupaten Kapuas Hulu',
    'Kabupaten Kayong Utara',
    'Kabupaten Ketapang',
    'Kabupaten Kubu Raya',
    'Kabupaten Landak',
    'Kabupaten Melawi',
    'Kabupaten Mempawah',
    'Kabupaten Sambas',
    'Kabupaten Sanggau',
    'Kabupaten Sekadau',
    'Kabupaten Sintang',
    'Kota Pontianak',
    'Kota Singkawang'

    // 14
];

exports.seedKalimantanBaratCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Kalimantan Barat' },
    });

    if (!province) {
        console.error('❌ Province Kalimantan Barat not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Kalimantan Barat City seeded!.');
};